import java.io.*;
import java.util.Scanner;
import java.util.*;

public final class Great {

   private static final Scanner stdin =
      new Scanner (new BufferedInputStream (System.in));

   public static void main (final String[] args) {
      
      for (int ds=1; /**/; ds++) {
         final int x = stdin.nextInt();
         final int y = stdin.nextInt();
         if (x==0 && y==0) break;
         if (x>y) {
            System.out.println ("YES");
         } else {
            System.out.println ("NO");
         }
      }
   }
}

/*
 * Local Variables:
 * compile-command: "javac Great.java"
 * End:
 */
